ranges::v3::box< Element, Tag, detail::box_compress::ebo > Class Template Reference
Utility
Inheritance diagram for ranges::v3::box< Element, Tag, detail::box_compress::ebo >:

## Public Member Functions

constexpr | box () noexcept(std::is_nothrow_default_constructible< Element >::value)
template<typename E , requires = (std::is_constructible<Element, E>::value && std::is_convertible<E, Element>::value)>
constexpr | box (E &&e) noexcept(std::is_nothrow_constructible< Element, E >::value)
template<typename E , requires = (std::is_constructible<Element, E>::value && !std::is_convertible<E, Element>::value)>
constexpr | box (E &&e) noexcept(std::is_nothrow_constructible< Element, E >::value)
Element & | get () &noexcept
constexpr Element const & | get () const &noexcept
Element && | get () &&noexcept

## Constructor & Destructor Documentation

## box()

template<typename Element , typename Tag >

constexpr ranges::v3::box< Element, Tag, detail::box_compress::ebo >::box | ( |  | ) |

noexcept

Precondition
  std::is_default_constructible<Element>::value